Subject: Re: [RFC/PATCH] Makefile: add test-all target

From: Junio C Hamano <[email-masked]>
Date: Wed, 08 Dec 2021 14:25:54 -0800

Jeff King <[email-masked]> writes:

> For diff-highlight in particular, you need to have a working perl, so
> you'd probably want to at least wrap it with a NO_PERL ifndef. For
> mw-to-git, you need to have MediaWiki::API installed, though I think the
> tests at least notice this and skip everything if you don't.

I know I locally lack MediaWiki::API and saw the test skipped
everything.  I do not know that would be true on a box without any
perl, though.